Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000694Core InformAssertions and creationspublic2011-07-10 03:022014-05-07 07:33
ReporterBiep 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS VersionXP
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000694: The front and back sides of a door are not determined according to the description in WI 3.12
DescriptionIn WI 3.12:

- - - -
    front side of (object) ... room

This phrase produces the first of the one or two rooms containing a door - first in the order given in the source text. Example: if

    The red rock stair is east of the Orchard and above the Undertomb.

then "front side of the red rock stair" produces the Orchard.
- - - -

While this description holds for ``The red rock stair is east of the Orchard and above the Undertomb,'' Inform's output does not match when the second direction is changed to south, as the attached source shows.
Minimal Source Text To Reproduce
The red rock stair is a door.
The red rock stair is east of the Orchard and south of the Undertomb.
When play begins:
	showme the front side of the stair.
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
(0001227)
EmacsUser (manager)
2011-07-21 15:13

Biep, there were two issues in your original report, one a suggestion and one a bug. I've pruned the report down to the bug. Feel free to file the suggested documentation changes at http://inform7.uservoice.com/. [^]
(0002655)
graham (administrator)
2014-05-04 07:37

Fixed.

- Issue History
Date Modified Username Field Change
2011-07-10 03:02 Biep New Issue
2011-07-21 15:13 EmacsUser Note Added: 0001227
2011-07-21 15:13 EmacsUser Priority low => normal
2011-07-21 15:13 EmacsUser Status new => confirmed
2011-07-21 15:13 EmacsUser Category Model world => Assertions and creations
2011-07-21 15:13 EmacsUser Summary Example can be enhanced; doors ought to be more predictable. => The front and back sides of a door are not determined according to the description in WI 3.12
2011-07-21 15:13 EmacsUser Description Updated View Revisions
2011-07-21 15:13 EmacsUser Steps to Reproduce Updated View Revisions
2014-05-04 07:37 graham Note Added: 0002655
2014-05-04 07:37 graham Status confirmed => resolved
2014-05-04 07:37 graham Resolution open => fixed
2014-05-04 07:37 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker